2008-11-25 George Sherwood <gsherwood@sourcemage.org>
	* spell deprecated [security issues]
	* PATCHLEVEL=9999
	* DETAILS: version 0

2008-03-22 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Apply mimemult.patch for gcc4*
	* mimemult.patch: Fix compilation (found with gcc 4.3.0)
	  From http://mail-index.netbsd.org/pkgsrc-bugs/2006/07/19/0000.html

2008-02-11 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated Enigmail to 0.93.2
	  PATCHLEVEL=1
	* DETAILS, PRE_BUILD, BUILD: Create unique SOURCE_DIRECTORY
	  Fixes Bug #7977

2007-09-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* freetype.patch: another fix for a freetype2 api change, some const
	  were added to functions in freetype

2006-11-15 Alexander Tsamutali <astsmtl@gmail.com>
	* PROVIDES: Added NS-PLUGIN-COMPATIBLE

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT not INSTALL_ROOT when linking #9163

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-06-10 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS, enigmail.gpg: added public key of enigmail, bug #12333

2006-04-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.7.13, SECURITY_PATCH=1
	* PRE_BUILD: small build fix for extensions/p3p broken Makefile.in
	* gcc4.patch: removed a part that wasn't necessary anymore

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-01-31 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added UPSTREAM_KEY to SOURCE_GPG

2005-09-23 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* DETAILS: Updated to 1.7.12

2005-09-19 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to use vendor Mozilla GPG signatures (mozilla.gpg)
	  Enigmail updated to 0.92.1
	  Updated UPDATED for newer Enigmail version
	* PRE_BUILD: Use default_pre_build
	  Use unpack_file instead of unpack

2005-08-03 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.7.11.

2005-07-24 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to Mozilla 1.7.10, Enigmail 0.92.0, IPC 1.1.3;
	* PRE_BUILD: use sorcery API for GCC;
	* freetype.patch: use the one from Firefox.

2005-07-20 Jeremy Blosser <jblosser-smgl@firinn.org>
	* INSTALL: Create symlink from /usr/lib/libnssckbi.so if it exists to
	  $MOZILLA_HOME to get Root CA certs (bug 9208)

2005-05-24 Arwed v. Merkatz <v.merkatz@gmx.net>
	* CONFIGURE, BUILD: make svg support optional
	* INSTALL: remove setup of nss stuff, that's part of the nss spell now,
	  don't add /usr/lib/mozilla to /etc/ld.so.conf, that's unnecessary
	* BUILD, pkgconfig.patch: fix the pkgconfig files so they use the
	  system installed mozilla-nspr.pc and mozilla-nss.pc and don't install
	  their own
	* BUILD: call make with NSPR_CONFIG=$INSTALL_ROOT/usr/bin/nspr-config
	  so mozilla-config is generated correctly

2005-05-23 Sergey Lipnevich <sergey@sourcemage.org>
	* CONFIGURE: question about crypto moved to DEPENDS; remove LDAP;
	* DEPENDS: include optional nss dependency;
	* BUILD: use common Mozilla fix-up routine for NSPR and NSS;
	* gcc4.patch,security_manager_makefile.diff: integrate from Firefox.

2005-05-14 Sergey Lipnevich <sergey@sourcemage.org>
	* PRE_BUILD,gcc4.patch: integrate patch from Firefox;
	* DEPENDS: remove NSS.

2005-05-13 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Made cairo the default (libart usually gives me problems)
	* DEPENDS: Forgot to update DEPENDS properly
	* BUILD: Remove debugging echos
	  Apply CONFIGURE options (e.g. MOZILLA_CRYPTO)
	  Apply libart/cairo flags to OPTS
	  Only do the enigmail export fix if building enigmail

2005-05-12 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to Mozilla 1.7.8 and Enigmail 0.91.0;
	* DEPENDS: use NSPR and NSS spells;
	* PROVIDES: no longer provides NSS.

2005-05-05 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Converted to config_query* and removed configure_optional
	* DEPENDS: Use variables from CONFIGURE
	  Added dependency (and flag) on freetype2
	* PRE_BUILD: Use variables from CONFIGURE
	* BUILD: Use variables from CONFIGURE
	  Only use --enable-strip if the user is using -s in LDFLAGS (strip)
	* INSTALL: Install profile to INSTALL_ROOT/etc/profile.d
	* FIXME: This spell is broken with INSTALL_ROOT (check ./configure in
	  BUILD and the symlink generation in INSTALL)

2005-04-23 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, gcc4.patch: fix compilation with gcc 4.0

2005-04-17 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 1.7.7

2005-03-25 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.7.6
	  Updated Enigmail to 0.90.1
	  Removed MAKE_NJOBS=1
	* BUILD,INSTALL: Use new make_single/make_normal

2005-03-03 Arjan Bouter <abouter@sourcemage.org>
	* desktop/mozilla.desktop: added

2005-01-05 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.7.5 (they skipped 1.7.4)
	  Updated enigmail to 0.89.6
	  Updated ipc to 1.1.2
	  Removed extra LICENSE[3] and MD5[3]
	  Formatted to Guru Handbook
	  SOURCE_URI now uses "source" instead of "src"
	  Shortened SHORT
	  Renamed VERSION2 and VERSION3 to ENIGMAIL_VERSION and IPC_VERSION
	* xpfe-bootstrap.diff: Updated to 1.7.5

2005-01-04 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: No longer conflicts with firefox

2004-12-09 Eric Sandall <sandalle@sourcemage.org>
	* xpfe-bootstrap.diff: Updated to 1.7.3
	* PRE_BUILD: xpfe-bootstrap.diff now uses -p1
	  Cleaned up

2004-09-28 Robin Cook <rcook@wyrms.net>
	* PROVIDES: added GECKO for spells that can use both
	  mozilla or firefox for the gecko engine

2004-09-20 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.7.3 (security release), Enigmail to 0.86.0.

2004-08-26 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: add --mandir switch so manpage goes to the correct location

2004-08-14 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.7.2 (security release), Enigmail to 0.85.0.

2004-07-29 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Install mozilla.sh
	* mozilla.sh: profile.d script to set MOZILLA_FIVE_HOME

2004-07-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: libIDL renamed to libidl

2004-07-18 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.7.1 and Enigmail 0.84.2.

2004-07-04 Sergey Lipnevich <sergey@sourcemage.org>
	* INSTALL: include David Braaten's patch for proper NSS installation;
	* PROVIDES: added MOZILLA-NSS;
	* BUILD, PRE_BUILD: move patching to PRE_BUILD and include freetype 2.1.9.

2004-06-20 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: need enigmail 0.84.1 and ipc 1.0.5;
	* PRE_BUILD: those were good patches, get them back :-), the problem's still there.

2004-06-18 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.7
	  removed SOURCE4, the extra mozilla-libart tarball isn't needed anymore
	  BUILD_API=2
	* PRE_BUILD: removed SOURCE4 stuff
	* BUILD, INSTALL: split for BUILD_API=2
	* CONFIGURE: added option to use cairo svg backend
	* DEPENDS: removed dependency on libart_lgpl, added dependency on cairo,
	  added optional_depends on gnome-vfs2
	* PRE_BUILD, libreg-standalone.diff, xpfe-bootstrap.diff: removed these
	  patches, don't seem to be needed anymore
	* BUILD, freetype.patch: fix compilation with freetype 2.1.8

2004-05-03 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.7rc1 (SOURCE changed), Enigmail 0.83.6;
	  added VERSION[2,3] variables for Enigmail and IPC.

2004-03-26 Sergey Lipnevich <sergey@sourcemage.org>
	* DEPENDS: add libart_lgpl dependency thanks to Wolfgang Scheicher.

2004-03-21 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.7b, EnigMail 0.83.5; change SOURCE name.

2004-02-08 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to Mozilla 1.6 and Enigmail 0.83.latest (.2).

2003-12-10 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to Mozilla 1.6b, Enigmail 0.82.latest (0.82.4),
	  IPC 1.0.5;
	* PRE_BUILD, extensions-enigmail-src.diff: patch not necessary.

2003-11-30 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: fix the checksum, I can't trace back how I came up
	  with the current checksum for version 1.5.

2003-11-26 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Quick fix for gaim to work (and anything
	  else which may need the mozilla libs as such) by adding
	  /usr/lib/mozilla to /etc/ld.so.conf

2003-11-03 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, DETAILS: added mozilla-libart source so a svg enabled build
	  is possible

2003-10-28 Eric Sandall <sandalle@sourcemage.org>
	* PROVIDES: Uppercase provides

2003-09-02 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgrade to Mozilla 1.5, Enigmail 0.76.7.

2003-09-02 Sergey Lipnevich <sergey@sourcemage.org>
	* Added operation to get rid of /root/.mozconfig in PRE_BUILD.

2003-09-19 Eric Sandall <sandalle@sourcemage.org>
	* Changed mozilla to mozilla-browser (Bug #4278).

2003-09-02 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to Mozilla 1.5b, Enigmail 0.76.6, and IPC 1.0.4.
	* Removed conflict with self (why?).
	* Minor patching.

2003-08-23 Eric Sandall <sandalle@sourcemage.org>
	* Conflicts with mozilla-nightly, phoenix-devel and Firebird

2003-08-10 hgg <hgreig@bigpond.net.au>
	* Update BUILD for gcc3.3.1 (--disable-pedantic switch)

2003-07-23 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to Mozilla 1.5a and Enigmail 0.76.3.
	* Single make job, otherwise Enigmail IDL compilation fails.
	* [A little later] Downgrade to 1.4 because 1.5a is too raw.

2003-07-09 Sergey Lipnevich <sergey@sourcemage.org>
	* Sorry, Mozilla, no -O3 for you...

2003-06-30 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to Mozilla 1.4 and Enigmail 0.76.1.

2003-06-29 Sergey Lipnevich <sergey@sourcemage.org>
	* Removed the part where pentium4 architecture will not use -O3 optimization.
	* This is fixed by GCC 3.3 (bug 2949). Discovered by Steven Fodstad.

2003-06-16 Sergey Lipnevich <sergey@sourcemage.org>
	* Changed the UPDATED value to bring everyone to this new version if they want.

2003-06-13 Sergey Lipnevich <sergey@sourcemage.org>
	* Removed custom install procedure in favor of standard `make install'+ln.
	* Thanks to Arwed v. Merkatz for the `make install' idea and
	  to Jimmy Yen for `sln dir dir-$VERSION' idea!
	* It appears to be not so trivial for a full build, but anyway...
	* Fix gtk2 directive thanks to CuZnDragon.
	* Fix Enigmail compilation with two patches.

2003-05-26 Sergey Lipnevich <sergey@sourcemage.org>
	* Downgraded Enigmail to a proper version 0.75.0.
	* Remove Blackwood Java extension option.
	* Make CONFIGURE and BUILD leaner.
	* Make CONFIGURE ask about Enigmail only if Mail/News client is selected.
	* Added a composer option.
	* Added a JavaScript profiling option.
	* Removed optional dependency on freetype2 because it's part of xfree86 starting from 4.3.

2003-05-21 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to 1.4b, Enigmail 0.75.1.
	* Added a whopping number of mirrors, eleven (!), thanks to M.L.

2003-04-06 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to 1.4a, Enigmail 0.74.1, and IPC 1.0.3.
	* URLs changed for Enigmail and IPC.
	* Replaced --with-xft with --enable-xft, thanks to Kyle (kfergusson@mpdlaw.com).
	* Remove Tab character from BUILD.

2003-04-05 Sergey Lipnevich <sergey@sourcemage.org>
	* Put back optimization flags tweaking thanks to Eric Sandall.
	* See http://bugs.sourcemage.org/show_bug.cgi?id=2949.

2003-03-27 Arwed v. Merkatz <v.merkatz@gmx.net>
	* removed the setting of PKG_CONFIG_PATH in BUILD
	* (xfree spell now takes care that pkg-config finds the .pc files)

2003-03-27 Gareth Clay <garethclay@ntlworld.com>
	* Removed dependency on Xft2 (now uses XFree86's Xft2)

2003-03-13 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgrade to 1.3 release.

2003-02-20 Sergey Lipnevich <sergey@sourcemage.org>
	* Added Calendar support as suggested by Jimmy Yen.
	* Tests show that libical is not required.

2003-02-18 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgraded to Enigmail 0.73.1 and IPC 1.0.2, required for Mozilla 1.3b.
	* Updated URLs of these two source tarballs.

2003-02-17 Sergey Lipnevich <sergey@sourcemage.org>
	* Added `--disable-installer' to ./configure.
	* Upgraded to 1.3b, but no Enigmail 0.73.0 source tarball is available ATM.
	* Choosing Enigmail plugin is not recommended.

2003-01-16 Sergey Lipnevich <sergey@sourcemage.org>
	* Added `web-browser' and `graphical-web-browser' to
	  the `provides' file.

2002-12-16 Sergey Lipnevich <sergey@sourcemage.org>
	* Updated to 1.3a + a fix for mail performance regression.
	* Made Xinerama support disabled by default because GTK+2
	  doesn't have it by default as well.

2002-12-15 Sergey Lipnevich <sergey@sourcemage.org>
	* Question about LDAP schema will be asked.
	* Patch for Galeon is back.

2002-12-04 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgraded to 1.2.1 and Enigmail to 0.71.0.
	* Made PSM (and hence Enigmail) to compile and function.
	* Reorganized support for Xft2 and freetype2 into optional
	  dependencies, no questions asked in CONFIGURE.
	* Changed to depend on ORBit2.
	* Made a temporary fix where answer for MOZILLA_EMAIL is
	  the fefault for MOZILLA_ENIGMAIL, so that there is a chance
	  that people will not ask for Enigmail without Mail client.
	* TODO: fix the above mentioned fix.
	* Added libIDL as required dependency.

2002-11-10 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgraded to version 1.2.
	* Removed patching for Xft2 and GTK+2.
	* Added optional depends for openldap instead
	  of asking for them in CONFIGURE. Let the sorcery rule this.
	* Calendar question removed because the calendar itself is not
	  included in the standard source.

2002-11-10 Sergey Lipnevich <sergey@sourcemage.org>
	* Upgraded Enigmail plugin to 0.70.0.
	* "No questions asked" Galeon 2 support. Default toolkit is GTK 2 now.

2002-11-03 Robin Cook <rcook@wyrms.net>
	* Added galeon2 support
	* Added installing of mozilla-gtkmozembed.pc

2002-10-09 Arwed v. Merkatz <v.merkatz@gmx.net>
	* Added fontconfig/Xft2 support

2002-10-02 Sergey Lipnevich <sergey@sourcemage.org>
	* Introduced a function configure_set_bool in CONFIGURE.

2002-09-30 Geoffrey Derber <gderber@sourcemage.org>
	* Added the Enigmail plugin.

2002-09-01 Sergey Lipnevich <sergey@sourcemage.org>
	* Updated to 1.1, added checksum and license information.
	* Created a SOURCE_URI variable to use in SOURCE_URL[n] array.
	* Added `provides' information according to bug 805.

2002-07-02 Justin Rocha <jrocha@sourcemage.org>
	* Removed compile optomizations, as per Mozilla bug #148723

2002-06-06 Mads Laursen <dossen+sgl@daimi.au.dk>
	* Even more options (mail/news, chat and freetype).
	* And added Mads as maintainer (Eric Schabell)

2002-06-05 Mads Laursen <dossen+sgl@daimi.au.dk>
	* BUILD updated to build with SVG support and other optional stuff.
	* Added dependency for perl (configure checks for it).
	* Ohh, and it's version 1.0...

2002-05-12 Justin Rocha <jrocha@sourcemage.org>
	* Bumped version to 1.0rc2

2002-04-24 Eric Schabell <eric@schabell.com>
	* Bug fix, my fault, fixed DETAILS file source line,
	  copied dezmond's fix incorrectly...
	  flame me not him! ;)

2002-04-23 The Well-Beloved Bard <dezmond@bardicgrove.org>
	* Version upgrade 1.0rc1:
	* Mozilla has released a new version (1.0rc1), and broken the spell in 
	  doing so. The directory and filename represent the version differently.

2002-04-11 Yoav Avitzour <avitzour@princeton.edu>
	* Commented the /etc/mozilla references from BUILD. This means
	  the spell ignores any previous configuration that existed
	  in /etc/mozilla, however, since this configuration is from 
	  some reason deleted anyway during the cast, it does not 
	  matter for now and it's a bad fix (but still a fix) for a 
	  broken spell

2002-04-08 Jon Svendsen <jon-sven@frisurf.no>
	* Install NSS headers
	  symlink libraries into /usr/lib on install

2002-03-29 Mads Laursen <dossen+sgl@daimi.au.dk>
	* Added symlink to config in /etc

2002-03-18 Eric Schabell <eric@schabell.com>
	* Updated UPDATE field as was set to OO for 
	  month, sorry for the recompile.... I know...

2002-03-13 Eric Schabell <eric@schabell.com>
	* Added this History file.

